<div class="item">
    <?php
    $o = new wpdreamsYesNo("show_frontend_search_settings", "Show search settings switch on the frontend?", $sd['show_frontend_search_settings']);
    $params[$o->getName()] = $o->getData();
    ?>
    <p class="descMsg">This will hide the switch icon, so the user can't open/close the settings.</p>
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("frontend_search_settings_visible", "Set the search settings to visible by default?", $sd['frontend_search_settings_visible']);
    $params[$o->getName()] = $o->getData();
    ?>
    <p class="descMsg">If set to Yes, then the settings will be visible/opened by default.</p>
</div>
<div class="item">
    <?php
    $o = new wpdreamsCustomSelect("frontend_search_settings_position", "Search settings position", array(
        'selects'=>$sd['frontend_search_settings_position_def'],
        'value'=>$sd['frontend_search_settings_position']
    ));
    $params[$o->getName()] = $o->getData();
    ?>
    <p class="descMsg">The position is automatically set to Block if you use the settings shortcode.</p>
</div>
<div class="item">
    <label class="shortcode">Custom Settings position shortcode:</label>
    <input type="text" class="quick_shortcode" value="[wpdreams_asp_settings id=<?php echo $search['id']; ?>]" readonly="readonly" />
</div>
<div class="item" style="text-align:center;">
    The default values of the checkboxes on the frontend are the values set above.
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("showexactmatches", "Show exact matches selector?", $sd['showexactmatches']);
    $params[$o->getName()] = $o->getData();
    $o = new wpdreamsText("exactmatchestext", "Text", $sd['exactmatchestext']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("showsearchinposts", "Show search in posts selector?", $sd['showsearchinposts']);
    $params[$o->getName()] = $o->getData();
    $o = new wpdreamsText("searchinpoststext", "Text", $sd['searchinpoststext']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("showsearchinpages", "Show search in pages selector?", $sd['showsearchinpages']);
    $params[$o->getName()] = $o->getData();
    $o = new wpdreamsText("searchinpagestext", "Text", $sd['searchinpagestext']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("showsearchintitle", "Show search in title selector?", $sd['showsearchintitle']);
    $params[$o->getName()] = $o->getData();
    $o = new wpdreamsText("searchintitletext", "Text", $sd['searchintitletext']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("showsearchincontent", "Show search in content selector?", $sd['showsearchincontent']);
    $params[$o->getName()] = $o->getData();
    $o = new wpdreamsText("searchincontenttext", "Text", $sd['searchincontenttext']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("showsearchincomments", "Show search in comments selector?", $sd['showsearchincomments']);
    $params[$o->getName()] = $o->getData();
    $o = new wpdreamsText("searchincommentstext", "Text", $sd['searchincommentstext']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item">
    <?php
    $o = new wpdreamsYesNo("showsearchinexcerpt", "Show search in excerpt selector?", $sd['showsearchinexcerpt']);
    $params[$o->getName()] = $o->getData();
    $o = new wpdreamsText("searchinexcerpttext", "Text", $sd['searchinexcerpttext']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item">
    <?php
    $o = new wpdreamsText("custom_types_label", "Custom post types label text", $sd['custom_types_label']);
    $params[$o->getName()] = $o->getData();
    ?>
</div>
<div class="item"><?php
    $o = new wpdreamsCustomPostTypesEditable("showcustomtypes", "Show search in custom post types selectors", $sd['showcustomtypes']);
    $params[$o->getName()] = $o->getData();
    $params['selected-' . $o->getName()] = $o->getSelected();
    ?>
</div>